curl --request POST \
--url https://api.cadanapay.com/v1/users/{userId}/beneficiaries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "John Doe",
"email": "john.doe@example.com",
"countryCode": "PH",
"currency": "PHP",
"paymentDetails": {
"preferredMethod": "bank",
"bank": {
"accountName": "John Doe",
"accountNumber": "123456789",
"bankName": "Philippines Bank",
"bankCode": "001",
"currency": "PHP",
"address": {
"line1": "Mabini St",
"line2": "Bldg 2",
"city": "Manila",
"postalCode": "1000",
"state": "Metro Manila",
"countryCode": "PH"
}
}
}
}
'{
"id": "7a7f80a6-1665-4f64-9ef3-d5f90f8f309b"
}Create a new beneficiary for a user
curl --request POST \
--url https://api.cadanapay.com/v1/users/{userId}/beneficiaries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "John Doe",
"email": "john.doe@example.com",
"countryCode": "PH",
"currency": "PHP",
"paymentDetails": {
"preferredMethod": "bank",
"bank": {
"accountName": "John Doe",
"accountNumber": "123456789",
"bankName": "Philippines Bank",
"bankCode": "001",
"currency": "PHP",
"address": {
"line1": "Mabini St",
"line2": "Bldg 2",
"city": "Manila",
"postalCode": "1000",
"state": "Metro Manila",
"countryCode": "PH"
}
}
}
}
'{
"id": "7a7f80a6-1665-4f64-9ef3-d5f90f8f309b"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The unique identifier for the user
"c06f3427-3bbe-4d70-9a54-28acda267e48"
"John Doe"
The country code of the beneficiary in ISO 3166-1 alpha-2 format
"KE"
The currency of the beneficiary in ISO 4217 format
"KES"
Show child attributes
"john.doe@example.com"
Beneficiary created response
"0a8753af-7f6b-4bc0-b144-7deea6c7ff1e"